<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Account Settings</ion-title>
    <ion-buttons slot="end">
      <ion-button color="secondary" (click)="onRefreshButtonClick()">
        <ion-icon slot="icon-only" name="refresh-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="devices.length">
  <ion-refresher slot="fixed" (ionRefresh)="updateDeviceData($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="circles"
      refreshingText="Refreshing..."
    >
    </ion-refresher-content>
  </ion-refresher>

  <ion-list>
    <ion-list-header>
      <ion-label> <h1>Device Limit</h1></ion-label>
    </ion-list-header>

    <ion-item *ngFor="let eBook of eBooks">
      <ion-label class="ion-text-wrap"
        >{{ eBook.title }}
        <ion-text>
          (Used:
          <ion-text color="success"
            >{{ eBook.deviceLimit ? devices.length : devices.length - 1 }}
          </ion-text>
          | Available:
          <ion-text color="primary"
            >{{ eBook.deviceLimit ? (eBook.deviceLimit - devices.length) :
            eBook.deviceLimit }}</ion-text
          >)
        </ion-text>
      </ion-label>
    </ion-item>

    <ion-list-header style="margin-top: 1rem">
      <ion-label> <h1>All Devices</h1></ion-label>
    </ion-list-header>

    <ion-item *ngFor="let device of devices; let i = index">
      <ion-label> {{ i + 1 + '.'}} {{device.name}}</ion-label>
    </ion-item>
  </ion-list>

  <p>
    If you have used up all of your device limit, you need to log out a device
    to use your account in another device.
  </p>

  <p>
    You are using
    <span style="font-style: italic; font-weight: bold"
      >{{ getDeviceInfo() }}</span
    >. Log out this device?
  </p>

  <ion-button
    class="logout-button"
    (click)="logout()"
    expand="block"
    size="large"
  >
    Yes, Log Out This Device
  </ion-button>
</ion-content>
